# Class PaintPaperType2D

java.lang.Object
uk.ac.starlink.ttools.plot2.paper.PaintPaperType
uk.ac.starlink.ttools.plot2.paper.PaintPaperType2D

All Implemented Interfaces:
  `PaperType, PaperType2D`

public abstract class PaintPaperType2D extends PaintPaperType implements PaperType2D
PaintPaperType for 2-dimensional plots. Suitable for output to vector graphics media.

Since:
  14 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PaintPaperType2D()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Paper`
`createPaper(Graphics g, Rectangle bounds)`
Creates a paper instance for use with this PaperType.
`static PaintPaperType2D`
`createPaperType(boolean quantise)`
Constructs an instance of this class.
`protected void`
`flushPaper(Paper paper)`
Called when all the layers have been painted.
`void`
`placeDecal(Paper paper, Decal decal)`
Paints a Decal onto a given paper object.

### Methods inherited from class PaintPaperType

`createDataIcon, createHeadlessGraphicsConfig, isBitmap, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface PaperType

`createDataIcon, isBitmap`

### Methods inherited from interface PaperType2D

`placeGlyph`

## Constructor Details

### PaintPaperType2D

protected PaintPaperType2D()
Constructor.

## Method Details

### createPaper

protected Paper createPaper(Graphics g, Rectangle bounds)
Description copied from class: `PaintPaperType`
Creates a paper instance for use with this PaperType.

Specified by:
  `createPaper` in class `PaintPaperType`
Parameters:
  `g` - graphics context to which paper should output
  `bounds` - plot bounds
Returns:
  new paper instance

### flushPaper

protected void flushPaper(Paper paper)
Description copied from class: `PaintPaperType`
Called when all the layers have been painted.

Specified by:
  `flushPaper` in class `PaintPaperType`
Parameters:
  `paper` - graphics destination

### placeDecal

public void placeDecal(Paper paper, Decal decal)
Description copied from interface: `PaperType`
Paints a Decal onto a given paper object.

Specified by:
  `placeDecal` in interface `PaperType`
Parameters:
  `paper` - graphics destination, of appropriate type for this object
  `decal` - graphic to paint

### createPaperType

public static PaintPaperType2D createPaperType(boolean quantise)
Constructs an instance of this class.

Parameters:
  `quantise` - whether glyph coordinates should be snapped to the pixel grid before use
Returns:
  instance